Subject: Re: bug#16187: Tabbed output of "guix package -l"

From: [email-masked] (Ludovic Courtès)
Date: Thu, 19 Dec 2013 18:17:36 +0100

Hi,

Thanks for the report.

Roel Janssen <[email-masked]> skribis:

> I'd like the output of a command like "guix package -l" to be tabbed
> preserving all columns.
>
> An example output of the current version:
> Generation 68	dec 18 2013 12:46:45	(current)
>   make  4.0     out     /nix/store/...
>   automake      1.14	out     /nix/store/...
>   ...
>
> What I would like to see:
>   make          4.0     out     /nix/store/...
>   automake      1.14    out     /nix/store/...
>   ...
>
> The same applies for the output of "guix package -I" and "guix package
> -A"

As discussed on IRC, the rationale (for -I and -A) was to have something
both human-readable and processable–that is, one can pipe it through
‘cut’ and extract the data.  I think that’s an important property, for a
Unix command-line tool.

Now, ideally, ‘guix package’ would be just one of the user interfaces,
with others being more user-oriented than command-oriented (see TODO)...

What do you think?

Ludo’.